Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# rpmProblemSet_s Struct Reference

`#include <rpmlib.h>`

## Data Fields
int | numProblems
int | numProblemsAlloced
rpmProblem | probs

## Field Documentation

int rpmProblemSet_s::numProblems

| Current probs array size. Definition at line 986 of file rpmlib.h. Referenced by psAppend(), psCreate(), psTrim(), and rpmRunTransactions().

int rpmProblemSet_s::numProblemsAlloced

| Allocated probs array size. Definition at line 987 of file rpmlib.h. Referenced by psAppend(), and psCreate().

rpmProblem rpmProblemSet_s::probs

| Array of specific problems. Definition at line 988 of file rpmlib.h. Referenced by psAppend(), psCreate(), psTrim(), rpmProblemSetFree(), rpmProblemSetPrint(), and rpmtransRun().

The documentation for this struct was generated from the following file:

- lib/rpmlib.h